Skip to main content
GET
/
v1
/
oncalls
List on-calls
curl --request GET \
  --url https://api.rootly.com/v1/oncalls \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "type": "on_call_resources",
      "attributes": {
        "escalation_policy_id": "<string>",
        "escalation_policy_name": "<string>",
        "user_id": 123,
        "starts_at": "2023-11-07T05:31:56Z",
        "ends_at": "2023-11-07T05:31:56Z",
        "escalation_policy_path_id": "<string>",
        "escalation_policy_path_name": "<string>",
        "is_default_path": true,
        "escalation_level": 123,
        "schedule_id": "<string>",
        "schedule_name": "<string>"
      },
      "relationships": {
        "user": {
          "data": {
            "id": "<string>",
            "type": "users"
          }
        },
        "schedule": {
          "data": {
            "id": "<string>",
            "type": "schedules"
          }
        },
        "escalation_policy": {
          "data": {
            "id": "<string>",
            "type": "escalation_policies"
          }
        }
      }
    }
  ],
  "included": [
    {
      "id": "<string>",
      "type": "<string>",
      "attributes": {},
      "relationships": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

include
enum<string>

comma separated if needed. eg: user,schedule

Available options:
user,
schedule,
escalation_policy
since
string

Start of time range in ISO-8601 format (e.g., 2025-01-01T00:00:00Z). Defaults to current time.

until
string

End of time range in ISO-8601 format (e.g., 2025-01-01T00:00:00Z). Defaults to 'since' time.

earliest
boolean

When true, returns only the first on-call entry per escalation policy path and level

time_zone
string

Timezone for response times (e.g., America/New_York). Defaults to UTC.

filter[escalation_policy_ids]
string

Comma-separated escalation policy IDs

filter[schedule_ids]
string

Comma-separated schedule IDs

filter[user_ids]
string

Comma-separated user IDs

filter[service_ids]
string

Comma-separated service IDs

filter[group_ids]
string

Comma-separated group IDs (teams)

filter[notification_types]
string

Comma-separated notification types to include. One or both of: audible, quiet. When omitted, returns oncalls from all non-deferral escalation paths. When provided, limits results to matching notification types and sorts audible-first.

Response

success

data
object[]
required
included
object[]